Name:           megi-kernel-pboot
Version:        6.12.1
Release:        1%{?dist}
Summary:        latest megi kernel for the pinephone 

License:        GPLv3+
URL:            https://megous.com/git/linux/log/?h=orange-pi-6.12
Source0:        pinephones.tar.gz
Source1:        p-boot-reconf.sh
#Source2:        boot.scr

#BuildArch:      aarch64
#BuildArch:      noarch

#Requires:       yoda-uboot
#Requires:       pinephone-helpers
Requires:       /bin/bash
Requires:       /bin/sh

#Obsoletes:      kernel-megi-bh
#Obsoletes:      kernel-megi-ce

Conflicts:      megi-kernel-pboot-beta

%description
Megis version of the Linux Kernel, for PinePhone with pboot

%global debug_package %{nil}

%prep
%autosetup -p1 -n pinephones

%pre
if 
 cp /boot/Image /boot/Image-old
 then echo "1"
fi
if
 cp -r /lib/modules/ /lib/modules-bak2/
 then echo "2"
fi

%preun
# if
# cp /boot/Image /boot/Image-old
# then echo "3"
# fi
if
 cp -r /lib/modules/ /lib/modules-bak/
 then echo "4"
fi

%install
mkdir -p $RPM_BUILD_ROOT/boot/pboot
cp Image $RPM_BUILD_ROOT/boot/
cp linux.config $RPM_BUILD_ROOT/boot/
cp %{SOURCE1} $RPM_BUILD_ROOT/boot/pboot/
mkdir -p $RPM_BUILD_ROOT/boot/allwinner
mkdir -p $RPM_BUILD_ROOT/boot/rockchip
cp -r allwinner/* $RPM_BUILD_ROOT/boot/allwinner
cp -r rockchip/* $RPM_BUILD_ROOT/boot/rockchip
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/

%post
if
 mv -n /lib/modules-bak2/* /lib/modules/
 then echo "5"
fi
cd /boot/pboot
bash ./p-boot-reconf.sh
echo "6"

%postun
if
 mv -n /lib/modules-bak/* /lib/modules/
 then echo "7"
fi

%files
/boot/Image
/boot/linux.config
/boot/pboot/p-boot-reconf.sh
#/boot/boot.scr
/lib/modules/
/boot/allwinner/
/boot/rockchip/

%changelog
* Mon Nov 25 2024 Yoda - 6.12.1-1
- Upgrade to 6.12.1

* Sat Nov 23 2024 Yoda - 6.11.10-1
- Upgrade to 6.11.10

* Sat Nov 16 2024 Yoda - 6.11.8-1
- Upgrade to 6.11.8

* Thu Aug 29 2024 Yoda - 6.10.3-1
- Upgrade to 6.10.3

* Thu Jul 18 2024 Yoda - 6.10.0-1
- Upgrade to 6.10.0

* Tue Jul 16 2024 Yoda - 6.9.9-1
- Upgrade to 6.9.9

* Tue Jul 02 2024 Yoda - 6.9.7-1
- Upgrade to 6.9.7

* Mon Jun 10 2024 Yoda - 6.9.3-1
- Upgrade to 6.9.3

* Mon May 13 2024 Yoda - 6.8.9-1
- Upgrade to 6.8.9

* Wed May 01 2024 Yoda - 6.8.8-1
- Upgrade to 6.8.8

* Mon Apr 08 2024 Yoda - 6.8.4-1
- Upgrade to 6.8.4

* Mon Mar 11 2024 Yoda - 6.8.0-1
- Upgrade to 6.8.0

* Fri Mar 08 2024 Yoda - 6.7.9-1
- Upgrade to 6.7.9

* Sun Mar 03 2024 Yoda - 6.7.7-1
- Fix for flipping frames bug
- Upgrade to 6.7.7

* Wed Feb 28 2024 Yoda - 6.7.6-1
- Upgrade to 6.7.6

* Wed Feb 07 2024 Yoda - 6.7.4-1
- Upgrade to 6.7.4

* Wed Jan 31 2024 Yoda - 6.7.2-1
- Upgrade to 6.7.2

* Mon Jan 29 2024 Yoda - 6.7.0-1
- Upgrade to 6.7.0

* Sat Jan 06 2024 Yoda - 6.6.10-1
- Upgrade to 6.6.10

* Sat Dec 16 2023 Yoda - 6.6.6-1
- Upgrade to 6.6.6
- Changed build scripts to use codeberg.org

* Sun Dec 03 2023 Yoda - 6.6.4-1
- Upgrade to 6.6.4

* Wed Nov 29 2023 Yoda - 6.6.3-1
- Upgrade to 6.6.3

* Wed Nov 08 2023 Yoda - 6.6.0-1
- Upgrade to 6.6.0

* Mon Oct 09 2023 Yoda - 6.5.6-1
- Upgrade to 6.5.6

* Fri Sep 15 2023 Yoda - 6.5.3-1
- Upgrade to 6.5.3

* Sat Sep 09 2023 Yoda - 6.4.15-1
- Upgrade to 6.4.15

* Wed Aug 30 2023 Yoda - 6.4.12-1
- Upgrade to 6.4.12

* Wed Aug 02 2023 Yoda - 6.4.7-1
- Upgrade to 6.4.7

* Thu Jul 27 2023 Yoda - 6.4.4-5
- added only CONFIG_IP_NF_NAT

* Thu Jul 27 2023 Yoda - 6.4.4-4
- added several CONFIG options

* Thu Jul 20 2023 Yoda - 6.4.4-1
- Upgrade to 6.4.4

* Mon Jul 17 2023 Yoda - 6.4.1-1
- Upgrade to 6.4.1

* Mon Jun 12 2023 Yoda - 6.3.7-1
- Upgrade to 6.3.7

* Sat Jun 3 2023 Yoda - 6.3.4-1
- Upgrade to 6.3.4

* Sun May 28 2023 Yoda - 6.3.3-2
- CONFIG_IP_NF_IPTABLES added

* Thu May 18 2023 Yoda - 6.3.3-1
- Upgrade to 6.3.3

* Sun Apr 30 2023 Yoda - 6.2.12-1
- Upgrade to 6.2.12

* Thu Mar 30 2023 Yoda - 6.2.9-1
- Upgrade to 6.2.9
- Fix better WiFi on PP

* Sat Mar 25 2023 Yoda - 6.2.7-1
- Upgrade to 6.2.7

* Wed Mar 15 2023 Yoda - 6.2.6-1
- Upgrade to 6.2.6

* Sun Mar 12 2023 Yoda - 6.2.5-1
- Upgrade to 6.2.5

* Sat Mar 11 2023 Yoda - 6.2.3-1
- Upgrade to 6.2.3

* Wed Mar 08 2023 Yoda - 6.2.2-1
- Upgrade to 6.2.2

* Wed Feb 15 2023 Yoda - 6.1.12-1
- Upgrade to 6.1.12

* Tue Feb 14 2023 Yoda - 6.1.9-2
- add missing pinephone-keyboard-config to kernel

* Thu Feb 02 2023 Yoda - 6.1.9-1
- Upgrade to 6.1.9

* Mon Jan 30 2023 Yoda - 6.1.7-1
- Upgrade to 6.1.7
- Switch to own multi device kernel build (pinephones)

* Sun Nov 6 2022 Yoda - 6.0.7
- Upgrade to 6.0.7

* Mon Oct 17 2022 Yoda - 6.0.2
- Upgrade to 6.0.2

* Mon Oct 10 2022 Yoda - 6.0.0-1
- Upgrade to 6.0.0

* Mon Sep 12 2022 Yoda - 5.19.8-1
- Upgrade to 5.19.8

* Mon Aug 29 2022 Yoda - 5.19.3-1
- Upgrade to 5.19.3

* Sat Aug 20 2022 Yoda - 5.19.2-1
- Upgrade to 5.19.2

* Thu Aug 04 2022 Yoda - 5.18.14-1
- Upgrade to 5.18.14

* Sun Jul 24 2022 Yoda - 5.18.13-1
- Upgrade to 5.18.13

* Sun Jul 17 2022 Yoda - 5.18.12-1
- Upgrade to 5.18.12

* Fri Jul 08 2022 Yoda - 5.18.9-1
- Upgrade to 5.18.9

* Tue Jun 28 2022 Yoda - 5.18.7-1
- Upgrade to 5.18.7

* Fri May 27 2022 Yoda - 5.17.9-1
- Upgrade to 5.17.9

* Fri May 20 2022 Yoda - 5.17.6-2 
- changed # CONFIG_RT_GROUP_SCHED is not set

* Tue May 10 2022 Yoda - 5.17.6-1
- added linux.config to /boot
- Upgrade to 5.17.6

* Tue May 03 2022 Yoda - 5.17.5-1
- added CONFIG_CGROUPS=y and CONFIG_IP_NF_IPTABLES=m
- Upgrade to 5.17.5

* Tue Apr 19 2022 Yoda - 5.17.3-1
- Upgrade to 5.17.3

* Sat Apr 09 2022 Yoda - 5.17.2-1 
- Upgrade to 5.17.2-1

* Tue Mar 22 2022 Yoda - 5.16.16-1
- Upgrade to 5.16.16

* Thu Mar 17 2022 Yoda - 5.16.15-1
- Upgrade to 5.16.15

* Tue Mar 08 2022 Yoda - 5.16.12-2
- added p-boot-reconf.sh

* Mon Mar 07 2022 Yoda - 5.16.12-1
- minor defconfig changes
- Upgrade to 5.16.12

* Thu Jan 06 2022 Yoda - 5.16.10-1
- Kernel built with ashmem and binder
- Upgrade to 5.16.10

* Thu Jan 06 2022 Yoda - 5.15.13-1
- Kernel built with audit
- Upgrade to 5.15.13

* Thu Dec 16 2021 Yoda - 5.15.6-1 
- Upgrade to 5.15.6

* Thu Nov 04 2021 Yoda - 5.14.16-1 
- Upgrade to 5.14.16

* Thu Oct 28 2021 Yoda - 5.14.15-1 
- Upgrade to 5.14.15
- A bunch of fixes - incl dock issues

* Sat Oct 16 2021 Yoda - 5.14.12-1 
- Upgrade to 5.14.12
- This adds exfat driver

* Sat Oct 02 2021 Yoda - 5.14.9-1 
- Upgrade to 5.14.9
- This adds CONFIG_BRIDGE and CONFIG_PSI to make prebuilt pinephone kernels usable with WayDroid

* Mon Sep 27 2021 Yoda - 5.14.8-1 
- Upgrade to 5.14.8

* Tue Sep 21 2021 Yoda - 5.13.19-1 
- Upgrade to 5.13.19

* Tue Sep 14 2021 Yoda - 5.13.16-1 
- Upgrade to 5.13.16

* Mon Jul 05 2021 Yoda - 5.12.14-1 
- Upgrade to 5.12.14

* Sat May 08 2021 Yoda - 5.12.2-3 GA 
- Upgrade to 5.12.2-3 GA
- Fix for WiFi issue

* Sat May 01 2021 Yoda - 5.12.0 GA 
- Upgrade to 5.12.0 GA

* Fri Mar 19 2021 Yoda - 5.11.3 GA 
- Upgrade to 5.11.3

* Wed Jan 06 2021 Yoda - 5.10.4 GA  New kernel for PinePhone with Pboot
- Upgrade to 5.10.4

* Wed Dec 09 2020 Yoda - 5.10.0-rc7 New kernel for PinePhone with Pboot
- Upgrade to 5.10.0-rc7

* Fri Oct 16 2020 Yoda - 5.9.0 GA
- Upgrade to 5.9.0 GA
- New audio driver - requires new pineaudio util
- New kernel layout - requires new uboot

* Fri Aug 28 2020 Torrey Sorensen <sorensentor@tuta.io> - 5.9-2
- Upgrade to 5.9 rc2

* Fri Aug 21 2020 Torrey Sorensen <sorensentor@tuta.io> - 5.9-1
- Upgrade to 5.9

* Thu Aug 06 2020 Nikhil Jha <hi@nikhiljha.com> - 5.8-1
- Upgrade to 5.8

* Mon Jun 15 2020 Nikhil Jha <hi@nikhiljha.com> - 5.7-1
- Initial packaging (hack)
